MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028557Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-03-15 10:542018-06-29 21:19
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0028557: Test case bugs modalg_6 bug27615 works differently on VC10 and VC12
DescriptionCurrently, test case bugs modalg_6 bug27615 has status OK on MS VC10 64 bit. But it has status Fail on VC12 64 bit. The test complains about incorrect volume and area properties.
When looking at zoomed in image we can see that indeed the shape is wrong on VC10 and OK on VC12 (see pictures). Also, max tolerance is 3.152 on VC10, and 0.399 on VC12.
So, it is needed to find the cause of unstable behavior and fix it.
TagsNo tags attached.
Test case numberbugs modalg_6 bug27615, bugs modalg_7 bug28557
Attached Filespng file icon snapshots.png (18,632 bytes) 2017-03-15 10:54
png file icon bopc_vc10.png (7,058 bytes) 2017-04-04 14:28
png file icon bopc_vc12.png (7,897 bytes) 2017-04-04 14:28
png file icon bug28557_GoodResult.PNG (12,416 bytes) 2017-11-29 15:52
png file icon BopRes.PNG (96,041 bytes) 2017-11-29 16:11

- Relationships
related to 0027615closedbugmaster Community [regression] Boolean operation returns invalid shape in 64 bit mode and valid shape in 32 bit mode 
related to 0028775closedbugmaster Open CASCADE Code duplication removal across the BOPAlgo_PaveFiller algorithm 
child of 0029133closedbugmaster Open CASCADE Unstable test cases 

-  Notes
(0064889)
emv (developer)
2017-04-04 14:27

The intersection of two faces from this test case gives very different results on VC10 and VC12, both incorrect but different:
brestore [locate_data_file bug27615.brep] b
explode b f
copy b_1 f1; copy b_19 f2;
don f1 f2
bopcurves f1 f2 -2d -p 2.2023968513463648  29.150590232723459 2. 0.085664915040461045 -p 2.2023968513457164 
31.082210390953925 2.9507808705284453 0.085823752287563393
don c_1; fit; disp f1 f2

vc10:
Tolerance Reached=2.186749869708339
see image bopc_vc10.png

vc12:
Tolerance Reached=0.39923486254553797
see image bopc_vc12.png
(0066955)
emv (developer)
2017-06-01 10:25

The additional case of different work of intersection algorithm on vc10 and vc12 has been detected during testing of the fix for the issue 0028775 in the test case boolean volumemaker A2. This test case is failing on vc10 and works correctly on vc12:

vc10:
test boolean volumemaker A2
# CASE boolean volumemaker A2: FAILED (error)

bopcheck result
F/F: x42 x71

vc12:
test boolean volumemaker A2
# CASE boolean volumemaker A2: OK

bopcheck result
# OK

The case works differently because the intersection curves between two conical faces of this case are different:
donly f2 f5


vc10:
bopcurves f2 f5 -2d -v
# Tolerance: 6.5475367280849945e-005

dump c_1
...
   6 : -112.53482122144, 233.129489689181, -621.775536891855
   7 : -144.723289278296, 200.595066807861, -632.771491657132
   8 : -157.836486505543, 182.377052347978, -638.9287996766
   9 : -167.830589724862, 162.333100992331, -645.703236193431
  10 : -174.407395303119, 141.059119499376, -652.893397181698
...

vc12:
bopcurves f2 f5 -2d -v
# Tolerance: 6.5475365180869342e-005

dump c_1
...
   6 : -112.534821221447, 233.129489689188, -621.775536891852
   7 : -144.723289278295, 200.59506680788, -632.771491657131
   8 : -157.836486505548, 182.377052347915, -638.928799676606
   9 : -167.830589724858, 162.333100992418, -645.703236193426
  10 : -174.40739530312, 141.059119499318, -652.893397181698
...
(0071894)
bugmaster (administrator)
2017-11-01 12:27

Problem is reproduced on current status of master
(0072580)
nbv (developer)
2017-11-29 15:51
edited on: 2017-11-29 16:10

The problem is fixed in the issue #29323.

New result in the script from message 0028557:0064889:

vc10:
Tolerance Reached=2.2562299351132097e-006

vc12:
Tolerance Reached=2.2562299351132097e-006

See bug28557_GoodResult.PNG attached picture.

-------------------------

Result of Boolean operation is in the BopRes.PNG attached picture (on vc12):

(0072587)
nbv (developer)
2017-11-29 16:44

Test case for this issue has been created and pushed to the branch CR29323_1.
(0072921)
nbv (developer)
2017-12-12 09:42

Dear Bugmaster,

CASE bugs modalg_7 bug28557: OK

on the current state of OCCT-master.

Please close this issue as FIXED.
(0072924)
bugmaster (administrator)
2017-12-12 10:28

The problem is fixed in the issue 0029323.

- Issue History
Date Modified Username Field Change
2017-03-15 10:54 msv New Issue
2017-03-15 10:54 msv Assigned To => msv
2017-03-15 10:54 msv File Added: snapshots.png
2017-03-15 10:54 msv Relationship added related to 0027615
2017-04-04 14:27 emv Note Added: 0064889
2017-04-04 14:28 emv File Added: bopc_vc10.png
2017-04-04 14:28 emv File Added: bopc_vc12.png
2017-06-01 10:25 emv Note Added: 0066955
2017-06-01 10:25 emv Relationship added related to 0028775
2017-07-21 11:04 msv Target Version 7.2.0 => 7.3.0
2017-09-01 17:00 mkv Test case number => bugs modalg_6 bug27615
2017-10-19 11:54 kgv Relationship added child of 0029133
2017-11-01 12:27 bugmaster Note Added: 0071894
2017-11-01 12:27 bugmaster Status new => assigned
2017-11-29 15:51 nbv Note Added: 0072580
2017-11-29 15:51 nbv Note Edited: 0072580 View Revisions
2017-11-29 15:52 nbv File Added: bug28557_GoodResult.PNG
2017-11-29 16:10 nbv Note Edited: 0072580 View Revisions
2017-11-29 16:11 nbv File Added: BopRes.PNG
2017-11-29 16:44 nbv Note Added: 0072587
2017-11-29 16:54 nbv Assigned To msv => nbv
2017-11-29 16:54 nbv Status assigned => feedback
2017-12-04 20:44 bugmaster Test case number bugs modalg_6 bug27615 => bugs modalg_6 bug27615, bugs modalg_7 bug28557
2017-12-12 09:42 nbv Note Added: 0072921
2017-12-12 09:43 nbv Assigned To nbv => bugmaster
2017-12-12 10:28 bugmaster Note Added: 0072924
2017-12-12 10:28 bugmaster Status feedback => verified
2017-12-12 10:28 bugmaster Resolution open => fixed
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker